import { ReactElement, RefObject } from 'react';
import { Placement, Strategy, Middleware } from '@floating-ui/react-dom';
import { OriginClassResolver } from './origin-class-resolvers';
interface ArrowState {
    arrowRef: RefObject<HTMLElement>;
    placement: Placement;
    x: number | undefined;
    y: number | undefined;
}
export declare function useArrowContext(component: string): ArrowState;
declare function FloatRoot(props: {
    show?: boolean;
    placement?: Placement;
    strategy?: Strategy;
    offset?: number;
    shift?: boolean | number;
    flip?: boolean;
    arrow?: boolean | number;
    autoPlacement?: boolean | object;
    hide?: boolean;
    autoUpdate?: boolean | object;
    zIndex?: number;
    enter?: string;
    enterFrom?: string;
    enterTo?: string;
    leave?: string;
    leaveFrom?: string;
    leaveTo?: string;
    portal?: boolean | string;
    originClass?: string | OriginClassResolver;
    tailwindcssOriginClass?: boolean;
    middleware?: Middleware[];
    onUpdate?: () => void;
    onShow?: () => void;
    onHide?: () => void;
    children: ReactElement[];
}): JSX.Element | undefined;
declare function Arrow(props: {
    children: any;
}): JSX.Element;
export declare const Float: typeof FloatRoot & {
    Arrow: typeof Arrow;
};
export {};
